See the top rated post in this thread. Click here

Results 1 to 5 of 5

Thread: How to mark/tag any element without changing its properties.

  1. #1
    Member
    Join Date
    2017-11
    Posts
    5
    Login to Give a bone
    0

    Default How to mark/tag any element without changing its properties.

    Hi!

    Is it possible to add some tag/mark to an element in the drawing?

    For example: there is a set of lines on the same layer in the drawing . Some of them are very important. I want to permanently tag them, so that i could easily identify these elements (using autolisp) with other opening session of the drawing. I want this tag to be invisible in the model space (it could be visible in the 'properties' panel). I do not want to change any properties of the elements (layers, lineweights etc.). I do not want to add any new elements to the drawing (notes, attributes etc.). I mean some kind of an attribute connected to element but without creating a block.

    Adding some suffix to handle value could be perfect, but I think changing the handle value is impossible. Am I right?

    Thank you for Your help in advance.

  2. #2
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL
    Posts
    3,073
    Login to Give a bone
    0

    Default Re: How to mark/tag any element without changing its properties.

    If you have Map or one of it's verticals you can. Otherwise you could group them or reference them in a field.
    Tom Beauford P.S.M. - Civil 2019 on Windows 10 Enterprise
    Design Analysis - Leon County Public Works/Engineering Wrap [CODE] tags around selected text
    2280 Miccosukee Rd. Tallahassee, FL 32308-5310
    Ph# (850)606-1516 Home Page

  3. #3
    All AUGI, all the time marko_ribar's Avatar
    Join Date
    2015-10
    Location
    Belgrade, Serbia, Europe
    Posts
    544
    Login to Give a bone
    1

    Default Re: How to mark/tag any element without changing its properties.

    How about XDATA ?
    Marko Ribar, d.i.a. (graduated engineer of architecture)

    M.R. on Youtube


  4. #4
    Member
    Join Date
    2017-11
    Posts
    5
    Login to Give a bone
    0

    Default Re: How to mark/tag any element without changing its properties.

    Quote Originally Posted by marko_ribar View Post
    How about XDATA ?
    Thank You! That's what I was looking for!

  5. #5
    100 Club
    Join Date
    2002-08
    Posts
    180
    Login to Give a bone
    1

    Default Re: How to mark/tag any element without changing its properties.

    Quote Originally Posted by sanch3z View Post
    Thank You! That's what I was looking for!
    Yes Xdata can be a good way, for exemple

    Affect your application to object
    Code:
    ((lambda ( / app_name js n ent dxf_ent x_data)
    	(setq app_name "PERSONAL_ENTITIES")
    	(regapp app_name)
    	(princ "\nSelect objects")
    	(setq js (ssget))
    	(cond
    		(js
    			(repeat (setq n (sslength js))
    				(setq ent (ssname js (setq n (1- n))) dxf_ent (entget ent))
    				(setq x_data (list -3 (list app_name (cons 1005 (cdr (assoc 5 dxf_ent))))))
    				(entmod (append dxf_ent (list x_data)))
    			)
    		)
    	)
    ))
    Select only your entities and grip them
    Code:
    ((lambda ( / app_name js)
    	(setq app_name "PERSONAL_ENTITIES")
    	(setq js (ssget "_X" (list (list -3 (list app_name)))))
    	(sssetfirst nil js)
    ))
    Remove your entities of one selection gripped or previous
    Code:
    ((lambda ( / js js_app n ent)
    	(setq app_name "PERSONAL_ENTITIES")
    	(or (setq js (ssget "_I")) (setq js (ssget "_P")))
    	(setq js_app (ssget "_X" (list (list -3 (list app_name)))))
    	(cond
    		((and js js_app)
    			(repeat (setq n (sslength js_app))
    				(setq ent (ssname js_app (setq n (1- n))))
    				(ssdel ent js)
    			)
    			(sssetfirst nil nil)
    		)
    	)
    	(sssetfirst nil js)
    ))

Similar Threads

  1. Changing type mark in Door tag
    By theshell07 in forum Revit Architecture - Families
    Replies: 4
    Last Post: 2010-08-30, 05:25 PM
  2. Element Properties
    By gdb in forum QTO General
    Replies: 7
    Last Post: 2010-04-26, 04:52 PM
  3. Changing an Element's Phase in ALL Groups?
    By SalubraSubaru in forum Revit Architecture - General
    Replies: 1
    Last Post: 2009-09-22, 03:23 PM
  4. Pads : Changing Host by Element IDs?
    By ryan_austin in forum Revit Architecture - General
    Replies: 2
    Last Post: 2006-08-22, 05:52 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •